com.independentsoft.exchange

## Class Excludes

- java.lang.Object
- - com.independentsoft.exchange.Restriction
  - - com.independentsoft.exchange.Excludes

-     public class Excludes
      extends Restriction

  Performs a bitwise mask of the specified property and a supplied value.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Excludes()` Initializes a new instance of the Excludes class.
    `Excludes(PropertyPath propertyPath)` Initializes a new instance of the Excludes class.
    `Excludes(PropertyPath propertyPath, java.lang.String bitmask)` Initializes a new instance of the Excludes class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getBitmask()` Gets a hexadecimal or decimal mask to be used during an Excludes restriction operation.
    `PropertyPath` | `getPropertyPath()` Gets frequently referenced properties by URI or individual members of a dictionary or MAPI properties.
    `void` | `setBitmask(java.lang.String bitmask)` Sets a hexadecimal or decimal mask to be used during an Excludes restriction operation.
    `void` | `setPropertyPath(PropertyPath propertyPath)` Sets frequently referenced properties by URI or individual members of a dictionary or MAPI properties.
    `java.lang.String` | `toString()` Converts the value of the current Excludes object to its equivalent string representation.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Excludes

          public Excludes()

      Initializes a new instance of the Excludes class.

    - #### Excludes

          public Excludes(PropertyPath propertyPath)

      Initializes a new instance of the Excludes class.
      Parameters:
        `propertyPath` - the property path

    - #### Excludes

          public Excludes(PropertyPath propertyPath,
                          java.lang.String bitmask)

      Initializes a new instance of the Excludes class.
      Parameters:
        `propertyPath` - the property path
        `bitmask` - the bitmask

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Converts the value of the current Excludes object to its equivalent string representation.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        the string

    - #### getPropertyPath

          public PropertyPath getPropertyPath()

      Gets frequently referenced properties by URI or individual members of a dictionary or MAPI properties.
      Returns:
        the property path

    - #### setPropertyPath

          public void setPropertyPath(PropertyPath propertyPath)

      Sets frequently referenced properties by URI or individual members of a dictionary or MAPI properties.
      Parameters:
        `propertyPath` - the new property path

    - #### getBitmask

          public java.lang.String getBitmask()

      Gets a hexadecimal or decimal mask to be used during an Excludes restriction operation.
      Returns:
        the bitmask

    - #### setBitmask

          public void setBitmask(java.lang.String bitmask)

      Sets a hexadecimal or decimal mask to be used during an Excludes restriction operation.
      Parameters:
        `bitmask` - the new bitmask